---
title: Create App
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Realtime Kit](https://developers.cloudflare.com/api/go/resources/realtime_kit)

[Apps](https://developers.cloudflare.com/api/go/resources/realtime_kit/subresources/apps)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Create App

client.RealtimeKit.Apps.Post(ctx, params) (\*[AppPostResponse](<https://developers.cloudflare.com/api/go/resources/realtime_kit#(resource)%20realtime_kit.apps%20%3E%20(model)%20AppPostResponse%20%3E%20(schema)>), error)

POST/accounts/{account\_id}/realtime/kit/apps

Create new app for your account

##### Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. [Create a token](https://developers.cloudflare.com/fundamentals/api/get-started/create-token/).

**Example:**`Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY`

##### Accepted Permissions (at least one required)

`Realtime Admin``Realtime`

##### ParametersExpand Collapse

<details>

<summary>

params AppPostParams

</summary>

AccountID param.Field\[string]

Path param: The account identifier tag.

maxLength32

<a href="#(resource)%20realtime_kit.apps%20%3E%20(method)%20post%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

Name param.Field\[string]

Body param

minLength1

<a href="#(resource)%20realtime_kit.apps%20%3E%20(method)%20post%20%3E%20(params)%20default%20%3E%20(param)%20name">Link to this property</a>

</details>

[Link to this property](<#(resource)%20realtime_kit.apps%20%3E%20(method)%20post%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type AppPostResponse struct{…}

</summary>

<details>

<summary>

Data AppPostResponseDataOptional

</summary>

<details>

<summary>

App AppPostResponseDataAppOptional

</summary>

ID stringOptional

formatuuid

<a href="#(resource)%20realtime_kit.apps%20%3E%20(model)%20AppPostResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20app%20%3E%20(property)%20id">Link to this property</a>

CreatedAt TimeOptional

formatdate-time

<a href="#(resource)%20realtime_kit.apps%20%3E%20(model)%20AppPostResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20app%20%3E%20(property)%20created_at">Link to this property</a>

Name stringOptional

<a href="#(resource)%20realtime_kit.apps%20%3E%20(model)%20AppPostResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20app%20%3E%20(property)%20name">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.apps%20%3E%20(model)%20AppPostResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20app">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.apps%20%3E%20(model)%20AppPostResponse%20%3E%20(schema)%20%3E%20(property)%20data">Link to this property</a>

Success boolOptional

<a href="#(resource)%20realtime_kit.apps%20%3E%20(model)%20AppPostResponse%20%3E%20(schema)%20%3E%20(property)%20success">Link to this property</a>

</details>

[Link to this property](<#(resource)%20realtime_kit.apps%20%3E%20(model)%20AppPostResponse%20%3E%20(schema)>)

### Create App

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/realtime_kit"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.RealtimeKit.Apps.Post(context.TODO(), realtime_kit.AppPostParams{
    AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    Name: cloudflare.F("x"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response.Data)
}
```

200 example

```
{
  "data": {
    "app": {
      "created_at": "2025-01-01T08:16:40.644Z",
      "id": "14a396e7-ca44-4937-bf1f-050a69118543",
      "name": "my-new-app"
    }
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "data": {
    "app": {
      "created_at": "2025-01-01T08:16:40.644Z",
      "id": "14a396e7-ca44-4937-bf1f-050a69118543",
      "name": "my-new-app"
    }
  },
  "success": true
}
```